--- libs/libmythtv/eithelper.cpp.orig	2011-11-17 13:55:24.624019217 +0900
+++ libs/libmythtv/eithelper.cpp	2011-11-17 13:56:06.696019858 +0900
@@ -251,16 +251,30 @@
 
     if (bestShortEvent)
     {
+        QRegExp pre_pattern(QString::fromUtf8("^((\\[.{1,2}\\]|5[\\.．]1)+)")); 
+        QRegExp suf_pattern(QString::fromUtf8(".+(−?((\\[.{1,2}\\])+|#\\d+|「|\\(#?\\d+\\)|（\\d+）|\\(?第|(<.>)+|(＜.＞)+|最終回).*)")); 
         ShortEventDescriptor sed(bestShortEvent, dvbkind);
         if (enc)
         {
             title    = sed.EventName(enc, enc_len);
-            subtitle = sed.Text(enc, enc_len);
+            pre_pattern.indexIn(title);
+            subtitle = pre_pattern.cap(1);
+            title    = title.remove(pre_pattern);
+            suf_pattern.indexIn(title);
+            subtitle += suf_pattern.cap(1);
+            title    = title.remove(suf_pattern.cap(1)).trimmed();
+            subtitle += sed.Text(enc, enc_len);
         }
         else
         {
             title    = sed.EventName();
-            subtitle = sed.Text();
+            pre_pattern.indexIn(title);
+            subtitle = pre_pattern.cap(1);
+            title    = title.remove(pre_pattern);
+            suf_pattern.indexIn(title);
+            subtitle += suf_pattern.cap(1);
+            title    = title.remove(suf_pattern.cap(1)).trimmed();
+            subtitle += sed.Text();
         }
     }
 
